Search documentation of phoenix_kit

# PhoenixKitWeb.Components.Core.Textarea (phoenix_kit v1.6.19)

View Source

Provides a default textarea UI component.

# Summary

## Functions

textarea(assigns)

# Functions

# textarea(assigns)

## Attributes

- `field` (`Phoenix.HTML.FormField`)
- `id` (`:any`) - Defaults to `nil`.
- `name` (`:any`)
- `label` (`:string`) - Defaults to `nil`.
- `value` (`:any`)
- `errors` (`:list`) - Defaults to `[]`.
- Global attributes are accepted. Supports all globals plus: `["autocomplete", "cols", "maxlength", "disabled", "placeholder", "readonly", "required", "rows"]`.